Subject: RE: [voipeer] Re: [Enum] What is a Carrier and who has the right to enternumbers in Carrier ENUM?

From: "Antoin Verschuren" <[email-masked]>
Date: Fri, 7 Oct 2005 12:27:52 +0200

On Friday, October 07, 2005 1:19 AM Vince Humphries wrote:

> As far as I'm aware, the assignment is in all these cases made
> without any carrier-of-record; subsequent to the assignment, it's up
> to the end-user to arrange for the supply of a service with a chosen
> carrier in connection with the assigned number.

I can confirm that in NL this is indeed true.
Assignments are made directly to end-users that decide they want to keep
everything under there own control.

The way I see it is that these end-users want to "act" as a carrier.
They are usually big enough to have their own pbx, but too small to
arrange their own connections and have therefore boarded that part to a
real Telco that has access to the PSTN.

I see a great similarity to discussions on the IANA function, and who
actually has the authority over a delegation or a glue record in the
root-zone. I believe that a delegation should be owned by the TLD that
is responsible for that domain, but that does not necessarily give him
the authority over third party nameserver records that need glue.
I think that glue for f.e. ns.ripe.net needs to be maintained by RIPE,
and not by a TLD that happens to use that server because they have
boarded a secondary nameservice to RIPE.

In similarity, I think the assignee of a number range needs to control
the delegation of his number range in the carrier enum tree.
That the delegation is made -to- a server of a real (third party) PSTN
Telco does not change the discussion on who owns the delegation entry.
The real (third party) Telco that controls the server should make the
peering decisions for that server, but that does not make him the owner
of the delegation. He has to be aware that if he offers a service like
that, that he is not in control of the delegation, same as he is not in
control over the assignment by the NRA.

In other words, delegation owner and peering partner are independent,
depending on the source or destination of the delegation. 

Source-> owner of delegation = assignee of number range = "acting"
carrier
Destination-> owner of server = peering partner

I therefore do not agree with James:

"How the phone numbers are assigned is not an issue.  So long as there
is a
carrier who serves the number, that carrier is the one to
register/provision
the data for that phone number in Carrier ENUM.  The end user is not
involved.  It will be an issue if more than one carriers can serve the
same
phone number."

A normal end-user is something different from end-user as assignee of
the numberblock.
End-user assignees are wanna be carriers with low budget.
The NRA does not assign to end-users without a reason. They want to make
sure an assignment is carrier independent, and the assignee can keep his
assignment when he switches carrier.
Making the current "end-carrier" for that assignee the owner of the ENUM
delegation will break that concept.

Antoin Verschuren

Technical Advisor
Policy & Business Development
SIDN
Utrechtseweg 310
PO Box 5022
6802 EA Arnhem
The Netherlands

T +31 26 3525510
F +31 26 3525505
M +31 6 23368970
E [email-masked]
W http://www.sidn.nl/

> -----Original Message-----
> From: Stastny Richard [mailto:[email-masked]]
> Sent: Friday, 7 October 2005 06:17
> To: [email-masked]; [email-masked];
> [email-masked] Subject: [voipeer] Re: [Enum] What is a
> Carrier and who has the right to enternumbers in Carrier ENUM?
> 
> 
> James,
> 
>> I there are areas of the world where this carrier-of-record model
>> doesn't apply, please let me know.  Maybe an end user can get a
>> number assignment "directly" from an NRA, but doesn't the number
>> come with a default carrier-of-record that maintains the PSTN POI?
> 
> I think this is the central question here and it would be nice if some
> regulators would respond here.
> 
> There are countries where you get numbers directly, the question is
> only what is first, the carrier or the user
> 
> Richard
> 
> 
> 
> ________________________________
> 
> Von: [email-masked] im Auftrag von [email-masked]
> Gesendet: Do 06.10.2005 21:24
> An: [email-masked]; [email-masked]
> Betreff: Re: [Enum] What is a Carrier and who has the right to
> enternumbers in Carrier ENUM?
> 
> 
> 
> Richard,
> 
> I'm not sure if cases B and C are actually "Carrier" ENUM.  Maybe I'm
> being too U.S. centric in my thinking, but I think this applies
> elsewhere as well. 
> 
> In the U.S., neither subscribers of toll-free ("800") numbers nor
> other end-users (e.g., enterprises) receive number assignments
> directly from the "NRA."  The North American Numbering Plan
> Administrator (NANPA) assigns blocks of numbers to carriers who then
> assign individual numbers or blocks to these users.  Thus, there is
> still a "carrier of record," and we are still dealing with case A. 
> The carrier controls carrier ENUM entries. Any other ENUM entries the
> subscriber wants to publish would go into end-user ENUM.  I believe
> that the same applies to case C. 
> 
> Where numbers are ported, I take porting to mean the subscriber
> moving the number from one carrier-of-record to another.  The new
> carrier would be one that also has its own supply of numbers assigned
> from the NRA.  In all of the situations I have described above, the
> carrier does maintain THE point of interconnection to the PSTN. 
> There can be only one POI for incoming calls from the PSTN to a given
> number. 
> 
> I there are areas of the world where this carrier-of-record model
> doesn't apply, please let me know.  Maybe an end user can get a
> number assignment "directly" from an NRA, but doesn't the number come
> with a default carrier-of-record that maintains the PSTN POI?
> 
> I'm not suggesting that things could never or should never change,
> but I think that the concept of a required PSTN POI will be important
> for quite a few years.
> 
> Jim Baskin
> 
> 
> 
> 
> 
> "Stastny Richard" <[email-masked]>
> Sent by: [email-masked]
> 10/06/2005 02:20 PM
> 
> 
>         To:     "David Meyer" <[email-masked]>, "Richard Shockey"
> <[email-masked]>,
> [email-masked]
>         cc:     "Lind, Steven D, ALABS" <[email-masked]>,
>         [email-masked] Subject:        [Enum] What is a Carrier and
> who has the right to 
> enter numbers in Carrier
> ENUM?
> 
> 
> To get the discussion going:
> 
> I think the answers to these question are  the central point of the
> definitions in both groups:
> 
> The answeres are somehow linked, but not necessary the same.
> 
> Lets start with Carrier ENUM:
> IMHO an entity should have the right to enter numbers in Carrier ENUM
> if he has been assigned the number or number range directly from the
> number assignment authority (NRA for short) for this CC (better
> wording here needed to cover also global CCs) OR the number is ported
> by an end-user from such an entity to him
> 
> Now we have three cases:
> 
> Case A
> The above entity is a "carrier" in the sense of a "Carrier-of-Record"
> (whatever that is) . So the ENUM entry he is providing is pointing to
> an entry point in his "network" (a SBC) or to a SIP proxy, if he is a
> "virtual network" provider. This Carrier needs to be able to peer and
> therefore is a "Carrier" within the scope of voipeer.
> 
> Case B:
> The above entity is a company (enterprise) or even an "End-User"
> deriving a number from the NRA direct, e.g an 800 number or a
> coprorate number, but he decides to host the servivce with an above
> described "Carrier". In this case he decides what is entered in
> Carrier ENUM, but the entry is pointing to the above described
> "Carrier". Same result for Voipeer. 
> 
> Case C:
> The enterprise or end-user is deciding to run their own server and
> since they are in charge of the Carrier ENUM entry, they enter a
> pointer to their server in Carrier ENUM. To be able to peer, they
> also need to be able to participate in the Voipeer club. This case is
> the most controverry, of course. What are the minimum requirements
> especially for such "Carriers) 
> 
> It is also interesting in the case C that the company may also decide
> to enter the same pointer in User ENUM.
> 
> have phun
> Richard
> 
> 
> 
> ________________________________
> 
> Von: David Meyer [mailto:[email-masked]]
> Gesendet: Do 06.10.2005 19:45
> An: Richard Shockey
> Cc: Stastny Richard; Lind, Steven D, ALABS; [email-masked]
> Betreff: Re: [Enum] Its that time again .... Agenda Items for IETF
> Vancouver 
> 
> 
> 
> On Thu, Oct 06, 2005 at 01:41:02PM -0400, Richard Shockey wrote:
>> 
>>    David Meyer wrote:
>> 
>> On Thu, Oct 06, 2005 at 04:05:02PM +0200, Stastny Richard wrote:
>> 
>> 
>> I'm assuming that VOIPEER will hold a 2nd BOF in Vancouver as well.
>> 
>> 
>> Now as you mention it, this is also a good question
>> The voipeer list has gone dead also
>> 
>> I needs to be revived
>> 
>> 
>>         Definitely, and my fault :-) The list is still there, and
>>         I too have been waiting for our ADs to answer up on the
>>         chartering question. BTW, I have asked for a 2.5 hr slot    
>> for Vancouver. 
>> 
>>         Finally, I have a terminology draft that I'm trying to
>>         finish if I can get a few minutes, so that will be input
>>         (fodder) for Vancouver.
>> 
>> 
>> 
>>    Hummm ..
>>    What is a carrier ?
>>    What constitutes peering?
>>    What is truth?
>>    Is there a God?
>>    Dave you have your work cut out for you  :-)
> 
> 
>         That's what I keep hearing :-)
> 
>         Dave
> 
> 
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum
> 
> 
> 
> 
> 
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum
> 
> 
> 
>
________________________________________________________________________
____
> _
> List Archive: http://darkwing.uoregon.edu/~llynch/voipeer/
> User Tools: http://darkwing.uoregon.edu/~llynch/voipeer.html
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: Richard Shockey <[email-masked]>
Date: Sat, 08 Oct 2005 16:10:28 -0400

Peering : The  negotiation of reciprocal  interconnection arrangements, 
settlement-free or otherwise, between operationally independent service 
providers.

Carrier: A service provider authorized to issue E.164 numbers for the 
provisioning of PSTN service under the authority of a National 
Regulatory Authority (NRA).

-- 

Richard Shockey, Director - Member of Technical Staff
NeuStar Inc.
46000 Center Oak Plaza  -   Sterling, VA  20166
sip:rshockey(at)iptel.org   sip:57141(at)fwd.pulver.com
ENUM +87810-13313-31331
PSTN Office +1 571.434.5651 PSTN Mobile +1 703.593.2683
Fax: +1 815.333.1237
<mailto:richard(at)shockey.us> or 
<mailto:richard.shockey(at)neustar.biz>
<http://www.neustar.biz> ; <http://www.enum.org>
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

---

From: "Peter Williams" <[email-masked]>
Date: Sat, 08 Oct 2005 18:31:44 -0700

We have learned that, for open numbering plans in certain portions of the 
Internet that certain PBX operators can "issue" E.164 numbers, without the 
authority of NRAs - even though the root naming context which they control 
may have been authorized, and authorized to issue E.164 numbers to PBX 
terminals or switches.

Under your definition, this class of operator is not a "Carrier", despite 
the numbers that they issue being PSTN routable, and callable.

Now, the IETF question: is Carrier ENUM standard to address such operators, 
or only Big-C Carriers?

My expectation was that IETF standards pertain to any operator, acting in 
the "capacity" of a carrier - whether or not it is regulatedas a Big C 
Carrier. Compliance to our technical standards does not imply that one is a 
part of some national regulatory regime: merely that protocols and 
procedures are correct.

Now, if NRA-authorized Carriers are prevented - by national regulatotion - 
from peering with non-NRA authorized Carriers, that is a proper  matter for 
regulators (tho. not IETF, or IAB, or US govt sponsorship of IAB members. or 
thier regulatory bodies (ICANN etc)_). The technical standards must not 
enforce any particular regulatory model, e.g. that of the US govt policy. 
There should, however, be good evidence that they support the commonest 
regulatory models, obviously, as a metric of technical adequacy.

If we consider the ISO tradition on this matter, X.500 addressed the 
technical standards on a distributed name service for public names and 
address, provisioned by individuals, PRMDs, and ADMDs. The F.500 variants 
address the PTSN model, for ADMD operating under national regulations and 
licneses. In our Ihistorical ETF tradition, dealing with public addressing 
policy in the Interent sphere,  we have only ever previous address the X.500 
_technology_ protocols: never the F.500 series regulatory practices designed 
for regulated "Carriers" acting as tariffed ADMDs.

We should be clear in the revised charter, for Carrier ENUM, that the 
protocols do not enforce any particular model of operational regulation, and 
that peering regulation (if any) is a matter for national authorities.

Peter.

>From: Richard Shockey <[email-masked]>
>To: Antoin Verschuren <[email-masked]>
>CC: [email-masked], [email-masked]
>Subject: [Enum] My personal definitions
>Date: Sat, 08 Oct 2005 16:10:28 -0400
>
>
>provisioning of PSTN service under the authority of a National Regulatory 
>Authority (NRA).
>
>--
>
>
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
><mailto:richard(at)shockey.us> or <mailto:richard.shockey(at)neustar.biz>

---

From: Michael Haberler <[email-masked]>
Date: Sun, 09 Oct 2005 08:38:22 +0200

At 03:31 09.10.2005, Peter Williams wrote:

>We have learned that, for open numbering plans in certain portions 
>of the Internet that certain PBX operators can "issue" E.164 
>numbers, without the authority of NRAs - even though the root naming 
>context which they control may have been authorized, and authorized 
>to issue E.164 numbers to PBX terminals or switches.

Allocating a variable-length DDI extension suffixed to a PBX pilot 
number IMO does not constitute a "number allocation process" and 
consequently I dont think this process makes a PBX owner a "carrier" 
for what it's worth. The pilot number still trickles down the usual 
process NRA->Carrier->PBX owner, at least for geographic numbers over here.

The more interesting case are those numbers which are directly 
allocated to users, like corporate network numbers in Austria 
(05xxxy) or 800 numbers. As a free-floating number with no carrier to 
route it is pretty useless, users still turn around and contract a 
carrier to route it. That entity becomes the carrier-of-record, 
albeit in a different way.

The Shockey Carrier definition still holds in both cases.

I do expect though that the distinction between carriers and users 
will blur over time, just as happend on the Internet where at some 
point in time a primary attribute of an ISP was "owns an AS number" 
(that lost its distinguishing factor), and it might be useful to 
think about likely transition scenarios beforehand.

-Michael

>Under your definition, this class of operator is not a "Carrier", 
>despite the numbers that they issue being PSTN routable, and callable.
>
>Now, the IETF question: is Carrier ENUM standard to address such 
>operators, or only Big-C Carriers?
>
>My expectation was that IETF standards pertain to any operator, 
>acting in the "capacity" of a carrier - whether or not it is 
>regulatedas a Big C Carrier. Compliance to our technical standards 
>does not imply that one is a part of some national regulatory 
>regime: merely that protocols and procedures are correct.
>
>Now, if NRA-authorized Carriers are prevented - by national 
>regulatotion - from peering with non-NRA authorized Carriers, that 
>is a proper  matter for regulators (tho. not IETF, or IAB, or US 
>govt sponsorship of IAB members. or thier regulatory bodies (ICANN 
>etc)_). The technical standards must not enforce any particular 
>regulatory model, e.g. that of the US govt policy. There should, 
>however, be good evidence that they support the commonest regulatory 
>models, obviously, as a metric of technical adequacy.
>
>technical standards on a distributed name service for public names 
>and address, provisioned by individuals, PRMDs, and ADMDs. The F.500 
>variants address the PTSN model, for ADMD operating under national 
>regulations and licneses. In our Ihistorical ETF tradition, dealing 
>with public addressing policy in the Interent sphere,  we have only 
>ever previous address the X.500 _technology_ protocols: never the 
>F.500 series regulatory practices designed for regulated "Carriers" 
>acting as tariffed ADMDs.
>
>We should be clear in the revised charter, for Carrier ENUM, that 
>the protocols do not enforce any particular model of operational 
>regulation, and that peering regulation (if any) is a matter for 
>national authorities.
>
>
>Peter.
>
>
>>Peering : The  negotiation of reciprocal  interconnection 
>>arrangements, settlement-free or otherwise, between operationally 
>>independent service providers.
>>
>>Carrier: A service provider authorized to issue E.164 numbers for 
>>the provisioning of PSTN service under the authority of a National

---

From: "Peter Williams" <[email-masked]>
Date: Sun, 09 Oct 2005 08:31:20 -0700

"As a free-floating number with no carrier
>to route it is pretty useless, users still turn around and contract a 
>carrier to route it. That entity becomes the carrier-of-record, albeit in a 
>different way."

...

>I do expect though that the distinction between carriers and users will 
>blur over time, just as happend on the Internet where at some point in time 
>a primary attribute of an ISP was "owns an AS number" (that lost its 
>distinguishing factor), and it might be useful to think about likely 
>transition scenarios beforehand.

So lets followup the "beforehand", go one setp further in my original 
scenario, and address how useless the scenario is, or, is not.  Lets 
consider the wider convegence implications, give we are in charter 
definition mode.

We are beyond, I'd advocate, arguing whether Internet/PSTN "convergence" 
should or should not address Carrier Enum models. The Interent network 
admin/mgt culture CAN cope with Carrier ENUM, and retain its traditions 
through the convergence. For my part, I worry not about Carrier ENUM, per 
se; its just a provisioning/administration model, and peering/settlement 
model. We already coped with this culture clash at the packet and email 
level, for years.

What matters now for understanding convergece , post the Carrier ENUM 
debate, is to understand is "who regulates the multi-protocol capable PBXs", 
and is there _ever_ any direct regulation of such parties, in _Internet_ 
culture?

----

We know that the PBX operator (using multi protocol stack equipment) decides 
(based on "cost point analysis") whether to switch the call over the PSTN, 
or an alternative protocol stack. For example, creating an H.323 conference 
capability for a PBX community, the operator of IOS equipment (say) might 
configure the virtual interfaces to always route packets to a particular IP 
address (of the centralized H.323 gateway of a multi-national corporation), 
rather than allow the conference to bridge the terminals directly over the 
national PSTN interfaces also built into the router/switch, during the 
Carrier's installation of the equipment.

Who decides that this multi-stack config (for a given public address) is a 
regulated/authorized configuration? The Carrier, the NRA, the professional 
society of sys. admins? the Interent user?

Traditionally, we have said, its the Internet user! Any determined leaf can 
become a node in an small i internet network. The Internet is only 
(culturally) a network of small i IP-capable networks, after all.

Technically, of course its the PBX that decides which protocol stack to use 
when switcing connects  - of course. Does Carrier ENUM decide it? No. 
(Carrier ENUM - being about PSTN, and regulated peering and automatic 
provisioning of directory entries  - knows nothing of this local PBX config, 
which has the opportunity to "bypass" the regulation zone, FOR public 
numbers.)

Does the user know about it? No. (We hope not. They just want to do the 
conference and whiteboard, not worry about cost or regulation. They may set 
a security requirement option, tho; inserting their CIK into their secure 
terminal however, to signal the confidentiality expectation for both end-end 
and switch-based security countermeasures.)

Does the user expect to use a single terminal id, for both PSTN conference 
and non PSTN conferences? Yes.(The user doesnt given a damn about protocol 
translation by PBXs, and expects to say, "conference me in at 1300H, at +49 
123 1234 X4321; Ill have my camera on, folks!" User doesnt know - or care - 
that some bridge participants are PSTN-based or on the local Ethernet.)

Does the user expect to have ther PSTN carrier suitably register "conference 
over PSTN bearers, routing info and security infos" in their public ENUM 
entry, provisioned by the Carrier? Yes.

Does the user expect that such Carrier ENUM registration means that only 
"Carrier-based conference bridge" services will ever be used? No and Yes. 
(Its a question of user education, about handling cost and requiring 
security. Does the user expect a conference with a person in the same 
multi-national company (with a nationwide private IP network) to use the 
PSTN switching? No. "Thats private and "internal!" clearly!")

Does the user "presume/expect" the autonmous PBX operator to enforce the 
same regulations as required for PSTN switched connects - on the connects 
"carried" over non PSTN-transports? No.

Could a national authority make it unlawful to run PBXs (i.e. small i 
internets with an MS Win2003 box) that have non PSTN-based peering 
agreements (and regulation practices), when switching numbers that are also 
PSTN callable? Yes.

Why would a national authority do this? to avoid the potential of users 
avoiding the lawful covert wiretap.

Conclusion:

As we re-engineer the WG charter (or, more impertinantly, while we wait for 
ADs and IAB to negotiate with the US national security authorities over the 
issue), we must address the next generation convergence question that comes 
up, post Carrier ENUM:

Are we going to let IETF technical standards processes faciliate national 
regulatory control over whether or not PBXs can switch calls/conferences, 
nominally setup between two public numbers, over _non_ PSTN channels?

Put it another way: does "convergence" from ENUM WG mean: the Internet is 
subsumed into the PSTN, as just another transport configuration - because 
any and all switches that are _connected_ to the PSTN are now to be 
_regulated_ by the PSTN, in _all_ their possible behaviours?

I suspect, presumptively, that Richard's answer would be, on behalf of the 
co-chairs: Yes. The Internet is just a transport layer, finally to be 
regulated by the PSTN. And, thats the change we are here to bring about 
(politically), before we (the regulatory community and its outsourcing 
contractors) lose the ability to wiretap voice.

Peter.

>From: Michael Haberler <[email-masked]>
>To: "Peter Williams" <[email-masked]>,[email-masked]
>CC: [email-masked]
>Subject: RE: [Enum] My personal definitions
>Date: Sun, 09 Oct 2005 08:38:22 +0200
>
>Allocating a variable-length DDI extension suffixed to a PBX pilot number 
>IMO does not constitute a "number allocation process" and consequently I 
>dont think this process makes a PBX owner a "carrier" for what it's worth. 
>The pilot number still trickles down the usual process NRA->Carrier->PBX 
>owner, at least for geographic numbers over here.
>
>The more interesting case are those numbers which are directly allocated to 
>users, like corporate network numbers in Austria (05xxxy) or 800 numbers. 
>As a free-floating number with no carrier to route it is pretty useless, 
>users still turn around and contract a carrier to route it. That entity 
>becomes the carrier-of-record, albeit in a different way.
>
>I do expect though that the distinction between carriers and users will 
>blur over time, just as happend on the Internet where at some point in time 
>a primary attribute of an ISP was "owns an AS number" (that lost its 
>distinguishing factor), and it might be useful to think about likely 
>transition scenarios beforehand.
>
>
>-Michael
>

---

From: Christian de Larrinaga <[email-masked]>
Date: Mon, 10 Oct 2005 08:53:37 +0100

yes this is about provisioning capability not authorisation.

Christian de Larrinaga
[email-masked]